package com.heyu.api.data.service.impl.calca;
/**
* <p>
* 定时任务 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.calca.ScheduleJobDao;
import com.heyu.api.data.entity.calca.ScheduleJobEntity;
import com.heyu.api.data.service.calca.ScheduleJobService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ScheduleJobServiceImpl extends ServiceImpl<ScheduleJobDao, ScheduleJobEntity> implements ScheduleJobService {


    @Autowired
	private ScheduleJobDao scheduleJobDao;



	@Override
	public ScheduleJobEntity selectScheduleJobById(Long id){
		return scheduleJobDao.selectScheduleJobById(id);
	}



	@Override
	public Long insertScheduleJob(ScheduleJobEntity scheduleJob){
		return scheduleJobDao.insertScheduleJob(scheduleJob);
	}



	@Override
	public Long insertOrUpdateScheduleJob(ScheduleJobEntity scheduleJob){
		return scheduleJobDao.insertOrUpdateScheduleJob(scheduleJob);
	}



	@Override
	public int updateScheduleJobById(ScheduleJobEntity scheduleJob){
		return scheduleJobDao.updateScheduleJobById(scheduleJob);
	}



	@Override
	public int updateCoverScheduleJobById(ScheduleJobEntity scheduleJob){
		return scheduleJobDao.updateCoverScheduleJobById(scheduleJob);
	}



	@Override
	public int deleteScheduleJobById(Long id){
		return scheduleJobDao.deleteScheduleJobById(id);
	}

	@Override
	public List<ScheduleJobEntity> selectScheduleJobsByStatus(Integer status) {

		return scheduleJobDao.selectScheduleJobsByStatus(status);
	}


}
